org.bouncycastle.pqc.crypto.slhdsa

## Class SLHDSAEngine.Shake256Engine

- java.lang.Object
- - org.bouncycastle.pqc.crypto.slhdsa.SLHDSAEngine
  - - org.bouncycastle.pqc.crypto.slhdsa.SLHDSAEngine.Shake256Engine

- Enclosing class:
    SLHDSAEngine

      public static class SLHDSAEngine.Shake256Engine
      extends SLHDSAEngine

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bouncycastle.pqc.crypto.slhdsa.SLHDSAEngine

      `SLHDSAEngine.Sha2Engine, SLHDSAEngine.Shake256Engine`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Shake256Engine(int n, int w, int d, int a, int k, int h)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected byte[]` | `bitmask(byte[] pkSeed, org.bouncycastle.pqc.crypto.slhdsa.ADRS adrs, byte[] m)`
    `protected byte[]` | `bitmask(byte[] pkSeed, org.bouncycastle.pqc.crypto.slhdsa.ADRS adrs, byte[] m1, byte[] m2)`
    `byte[]` | `PRF_msg(byte[] prf, byte[] randomiser, byte[] msgPrefix, byte[] msg)`

    - ### Methods inherited from class org.bouncycastle.pqc.crypto.slhdsa.SLHDSAEngine

      `implGenerateKeyPair, internalGenerateSignature, internalVerifySignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Shake256Engine

          public Shake256Engine(int n,
                                int w,
                                int d,
                                int a,
                                int k,
                                int h)

  - ### Method Detail

    - #### PRF_msg

          public byte[] PRF_msg(byte[] prf,
                                byte[] randomiser,
                                byte[] msgPrefix,
                                byte[] msg)

    - #### bitmask

          protected byte[] bitmask(byte[] pkSeed,
                                   org.bouncycastle.pqc.crypto.slhdsa.ADRS adrs,
                                   byte[] m)

    - #### bitmask

          protected byte[] bitmask(byte[] pkSeed,
                                   org.bouncycastle.pqc.crypto.slhdsa.ADRS adrs,
                                   byte[] m1,
                                   byte[] m2)